org.apache.poi.sl.usermodel

## Interface ColorStyle

- All Known Implementing Classes:
    AbstractColorStyle

      public interface ColorStyle

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAlpha()` the opacity as expressed by a percentage value
    `java.awt.Color` | `getColor()`
    `int` | `getHueMod()` the hue as expressed by a percentage relative to the input color.
    `int` | `getHueOff()` the hue shift as expressed by a percentage relative to the input color.
    `int` | `getLumMod()` the luminance as expressed by a percentage relative to the input color.
    `int` | `getLumOff()` the luminance shift as expressed by a percentage relative to the input color.
    `int` | `getSatMod()` the saturation as expressed by a percentage relative to the input color.
    `int` | `getSatOff()` the saturation shift as expressed by a percentage relative to the input color.
    `int` | `getShade()` specifies a darker version of its input color.
    `int` | `getTint()` specifies a lighter version of its input color.

- - ### Method Detail

    - #### getColor

          java.awt.Color getColor()

    - #### getAlpha

          int getAlpha()

      the opacity as expressed by a percentage value
      Returns:
        opacity in percents in the range [0..100000] or -1 if the value is not set

    - #### getHueOff

          int getHueOff()

      the hue shift as expressed by a percentage relative to the input color. Be aware that OOXML also returns values greater than 100%
      Returns:
        hue shift in percents in the range [0..100000] (usually ...) or -1 if the value is not set

    - #### getHueMod

          int getHueMod()

      the hue as expressed by a percentage relative to the input color. Be aware that OOXML also returns values greater than 100%
      Returns:
        hue in percents in the range [0..100000] (usually ...) or -1 if the value is not set

    - #### getSatOff

          int getSatOff()

      the saturation shift as expressed by a percentage relative to the input color. Be aware that OOXML also returns values greater than 100%
      Returns:
        saturation shift in percents in the range [0..100000] (usually ...) or -1 if the value is not set

    - #### getSatMod

          int getSatMod()

      the saturation as expressed by a percentage relative to the input color. Be aware that OOXML also returns values greater than 100%
      Returns:
        saturation in percents in the range [0..100000] (usually ...) or -1 if the value is not set

    - #### getLumOff

          int getLumOff()

      the luminance shift as expressed by a percentage relative to the input color. Be aware that OOXML also returns values greater than 100%
      Returns:
        luminance shift in percents in the range [0..100000] (usually ...) or -1 if the value is not set

    - #### getLumMod

          int getLumMod()

      the luminance as expressed by a percentage relative to the input color. Be aware that OOXML also returns values greater than 100%.
      Returns:
        luminance in percents in the range [0..100000] (usually ...) or -1 if the value is not set

    - #### getShade

          int getShade()

      specifies a darker version of its input color. A 10% shade is 10% of the input color combined with 90% black. Be aware that OOXML also returns values greater than 100%.
      Returns:
        the value of the shade specified as percents in the range [0..100000] (usually ...) with 0% indicating minimal shade and 100% indicating maximum or -1 if the value is not set

    - #### getTint

          int getTint()

      specifies a lighter version of its input color. A 10% tint is 10% of the input color combined with 90% white. Be aware that OOXML also returns values greater than 100%
      Returns:
        the value of the tint specified as percents in the range [0..100000] (usually ...) with 0% indicating minimal tint and 100% indicating maximum or -1 if the value is not set

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.